#
# spec file for package ampache (Version 3.2Alpha1)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm

Name:         ampache
URL:          http://www.ampache.org/
%define apache_serverroot /srv/www
Version:      3.2Alpha1
Release:      12.2
Summary:      PHP-based MP3 database web interface
License:      GPL, distributable
Group:        Productivity/Networking/Web/Frontends
Autoreqprov:  on
PreReq:       %fillup_prereq
Requires:     http_daemon mod_php 
Source:       ampache-current.tar.bz2
Source1:      httpd.conf.ampache
Source2:      ampache.module
Source4:      sysconfig.apache-ampache
Source5:      ampache-README.SUSE
Patch:        ampache-3.2Alpha1.dif
Patch1:       ampache-3.1.03-confpath.dif
Patch2:       ampache-3.2Alpha1-xmlrpc-CAN-2005-1921.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
BuildArchitectures: noarch

%description
Ampache is a PHP-based tool for managing, updating and playing your MP3
files via a web interface. It allows you to save playlists, create user
accounts, and share your music catalogs with other Ampache servers. It
uses a MySQL database.

Read the README files about configuring ampache.



Authors:
--------
    Scott Kveton & Randall Ehren
    
    Ampache Development Team
    ampache-devel@isber.ucsb.edu

%prep
%setup -q -n ampache
%patch -p1
%patch1 -p1
%patch2 -p1

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
a_root=$RPM_BUILD_ROOT/%{apache_serverroot}/ampache
mkdir -p $a_root 
mkdir -p $RPM_BUILD_ROOT/etc/httpd/modules/
mkdir -p $RPM_BUILD_ROOT/etc/apache2/conf.d
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates/
cp -a $RPM_SOURCE_DIR/ampache-README.SUSE README.SUSE
cp -a bin docs lib libglue modules templates $a_root/
rm $a_root/modules/ampache.cfg*
cp -p $RPM_SOURCE_DIR/sysconfig.apache-ampache $RPM_BUILD_ROOT/var/adm/fillup-templates/
cp -p $RPM_SOURCE_DIR/ampache.module 	 $RPM_BUILD_ROOT/etc/httpd/modules/ampache
cp -p $RPM_SOURCE_DIR/httpd.conf.ampache $RPM_BUILD_ROOT/etc/httpd/
cp -p $RPM_SOURCE_DIR/httpd.conf.ampache $RPM_BUILD_ROOT/etc/apache2/conf.d/ampache.conf
cp -p modules/ampache.cfg.dist $RPM_BUILD_ROOT/etc/ampache.cfg
# remove executable bits from documentation files:
chmod 644 CHANGELOG INSTALL MIGRATION README* sql/ampache.sql
pushd $a_root
	find . -type d -name CVS -print0 | xargs -0 --no-run-if-empty rm -rf
	find . -type f -print0 | xargs -0 chmod ugo-x
	chmod 700 bin/*
popd

%post
%{fillup_only -an apache}

%files
%defattr(-,root,root)
%doc CHANGELOG INSTALL MIGRATION README* sql/ampache.sql
%config(noreplace) %attr(640,root,www) /etc/ampache.cfg
%config(noreplace) /etc/httpd/httpd.conf.ampache
/etc/httpd/modules/ampache
%dir /etc/apache2
%dir /etc/apache2/conf.d
%config(noreplace) /etc/apache2/conf.d/ampache.conf
%dir %{apache_serverroot}/ampache
%{apache_serverroot}/ampache/docs
%{apache_serverroot}/ampache/lib
%{apache_serverroot}/ampache/libglue
%{apache_serverroot}/ampache/modules
%dir %{apache_serverroot}/ampache/bin
%config(noreplace) %{apache_serverroot}/ampache/bin/*
%dir %{apache_serverroot}/ampache/templates
%config %{apache_serverroot}/ampache/templates/*
/var/adm/fillup-templates/sysconfig.apache-ampache

%changelog -n ampache
* Mon Jul 18 2005 - poeml@suse.de
- fixed XML RPC command injection, [#95524]/[#94579], CAN-2005-1921
* Thu Mar 25 2004 - poeml@suse.de
- update to 3.2-Alpha1
- the patch to make $action global is included
- wrap configuration into <IfModule sapi_apache2.c>, so apache
  won't refuse to start if mod_php4 is not loaded
- bzip2 sources
- drop the requires on the perl modules that are needed only for
  migration from old database versions. Instead, put it in the
  documentation
- update the README and put the instructions for new installations
  at the top, so it is less confusing
* Mon Mar 22 2004 - poeml@suse.de
- fix wrong directory permissions of docdir [#36431]
* Mon Mar 08 2004 - poeml@suse.de
- update to cvs version
- reenable register_globals for now, since not all features work
  without it
* Wed Feb 04 2004 - hmacht@suse.de
- added option # norootforbuild in specfile
* Tue Jan 06 2004 - poeml@suse.de
- update to 3.1.02
- drop ampache-3.0-sorting.dif (included upstream)
- drop ampache-3.0-session-expire.dif, obsolete
- adjust to new file layout
- add Requires: perl-DBI perl-Msql-Mysql-modules perl-Data-ShowTable
  for the migration scripts
- rename README.SUSE file and add notes about migration
* Thu Nov 20 2003 - poeml@suse.de
- add patch that prevents certain login failures due to cookies
  from the year 1935
- set a default character set
- add a hint on configuration without a virtual host
* Fri Sep 19 2003 - poeml@suse.de
- apache configuration:
- fix trailing slash in Alias
- add Directory configuration (needed for apache2, where not
  everything is allowed by default) [#29729]
- install the configuration file also for apache2
- add Requires: http_daemon mod_php
* Thu Aug 14 2003 - poeml@suse.de
- add activation metadata to sysconfig template [#28815]
* Thu Jul 31 2003 - poeml@suse.de
- fix permissions of /etc/ampache.conf.inc to be readable by the
  webserver but not writable, [#21782]
* Fri May 16 2003 - poeml@suse.de
- add patch to improve sorting
- don't package CVS directories
- remove executable flag from most files
* Tue May 13 2003 - poeml@suse.de
- use %%defattr instead of chmod&chown
- modules/config.php doesn't need to be protected
* Thu Feb 27 2003 - poeml@suse.de
- add sysconfig metadata [#22591]
- verify the instructions in README.SuSE and improve them
- improve the apache configuration, and add explaining comments
* Thu Aug 01 2002 - poeml@suse.de
- fix apache ServerRoot
* Thu Aug 01 2002 - poeml@suse.de
- use PreReq
* Wed Jul 03 2002 - poeml@suse.de
- new package (version v3.0)
